Index: /LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_routines_mod.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_routines_mod.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_routines_mod.F90	(revision 5116)
@@ -8171,13 +8095,13 @@
        do il=1,ncas
         if ((Pqisup_cas(il).le.0.0).and. &
-                (water_cas(il).gt.ridicule*10)) then
+                (water_cas(il).gt.ridicule*10)) THEN
             ! 27 mai 2009: on est plus laxiste dans le cas des traceurs
             ! d'eau: on met ridicule*10
-            write(*,*) 'appel_stewart 372: water(il,i)=', &
+            WRITE(*,*) 'appel_stewart 372: water(il,i)=', &
               water_cas(il)
-            write(*,*) 'appel_stewart 372: Pqisup=',Pqisup_cas(il)
+            WRITE(*,*) 'appel_stewart 372: Pqisup=',Pqisup_cas(il)
             stop
          endif
-         if (iso_eau.gt.0) then
+         if (iso_eau.gt.0) THEN
              CALL iso_verif_egalite_choix( &
                 (Pxtisup_cas(iso_eau,il)), &
@@ -8190,14 +8114,14 @@
 #endif        
         do il=1,ncas
-         if (Pqisup_cas(il).gt.0.0) then
+         if (Pqisup_cas(il).gt.0.0) THEN
             do ixt=1,niso  
               Risup(ixt,il)=Pxtisup_cas(ixt,il)/Pqisup_cas(il)
               xtwater_cas(ixt,il)=water_cas(il)*Risup(ixt,il)
             enddo !do ixt=1,niso
-         else !if (Pqisup.gt.0.0) then
+         else !if (Pqisup.gt.0.0) THEN
            do ixt=1,niso
             xtwater_cas(ixt,il)=water_cas(il)*Rdefault(ixt)
            enddo !do ixt=1,niso  
-         endif  !if (Pqisup.gt.0.0) then  
+         endif  !if (Pqisup.gt.0.0) THEN
         enddo !do il=1,ncas_noevap 
 
@@ -8213,5 +8137,5 @@
             enddo !do ixt=1,niso   
           enddo !do il=1,ncas_noevap     
-          if (iso_eau.gt.0) then
+          if (iso_eau.gt.0) THEN
             do il=1,ncas
               CALL iso_verif_egalite_choix(xtwater_cas(iso_eau,il), &
@@ -8219,12 +8143,12 @@
                 errmax,errmaxrel)
               if ((xtwater_cas(iso_eau,il).eq.0).and. &
-                (water_cas(il).gt.ridicule)) then
-               write(*,*) 'appel_stewart 263.2, cas 1.1'
-               write(*,*) 'xtwater(iso_eau,il)=',xtwater_cas(iso_eau,il)
-               write(*,*) 'water(il)=',water_cas(il)
+                (water_cas(il).gt.ridicule)) THEN
+               WRITE(*,*) 'appel_stewart 263.2, cas 1.1'
+               WRITE(*,*) 'xtwater(iso_eau,il)=',xtwater_cas(iso_eau,il)
+               WRITE(*,*) 'water(il)=',water_cas(il)
                stop
               endif
-              if (oktrac.eq.0) then
-!                  write(*,*) 'appel_stewart 1743 noevap tmp: il=',il
+              if (oktrac.eq.0) THEN
+!                  WRITE(*,*) 'appel_stewart 1743 noevap tmp: il=',il
              CALL iso_verif_egalite_choix(xtp_cas(iso_eau,il), &
                 qp_cas(il) &
@@ -8234,18 +8158,18 @@
                 'appel_stewart 275.2, cas 1.1', &
                 errmax,errmaxrel)
-             endif !if (oktrac.eq.0) then
+             endif !if (oktrac.eq.0) THEN
              enddo !do il=1,ncas
-            endif ! if (iso_eau.gt.0) then
-            if (oktrac.eq.0) then
-            if (iso_HDO.gt.0) then
+            endif ! if (iso_eau.gt.0) THEN
+            if (oktrac.eq.0) THEN
+            if (iso_HDO.gt.0) THEN
               do il=1,ncas
-                if (qp_cas(il).gt.ridicule) then              
+                if (qp_cas(il).gt.ridicule) THEN
                 CALL iso_verif_aberrant( &
                 xtp_cas(iso_HDO,il)/qp_cas(il), &
                 'appel_stewart 613')
-                endif !if (qp(cas_noevap(il),i).gt.ridicule) then   
+                endif !if (qp(cas_noevap(il),i).gt.ridicule) THEN
               enddo !do il=1,ncas 
-            endif  ! if (iso_HDO.gt.0) then
-            endif !if (oktrac.eq.0) then
+            endif  ! if (iso_HDO.gt.0) THEN
+            endif !if (oktrac.eq.0) THEN
 #endif           
 
@@ -8274,5 +8198,5 @@
 #endif
 #ifdef ISOTRAC
-USE isotrac_mod, only: ridicule_trac
+USE isotrac_mod, ONLY: ridicule_trac
 #endif
         IMPLICIT NONE
@@ -8325,13 +8249,13 @@
 
 #ifdef ISOVERIF
-!        if (ncas.ge.162) then
-!        write(*,*) 'appel tmp 1975: xtp_avantevap_cas(iso_eau,162)=',
+!        if (ncas.ge.162) THEN
+!        WRITE(*,*) 'appel tmp 1975: xtp_avantevap_cas(iso_eau,162)=',
 !     :           xtp_avantevap_cas(iso_eau,162)
-!        write(*,*) 'appel tmp 1975b: qp_avantevap_cas(162)=',
+!        WRITE(*,*) 'appel tmp 1975b: qp_avantevap_cas(162)=',
 !     :           qp_avantevap_cas(162)
-!        endif !if (ncas_evap_liq.ge.162) then
-      if (iso_eau.gt.0) then
+!        endif !if (ncas_evap_liq.ge.162) THEN
+      if (iso_eau.gt.0) THEN
           do il=1,ncas
-!            write(*,*) 'appel tmp 1492: il=',il
+!            WRITE(*,*) 'appel tmp 1492: il=',il
             CALL iso_verif_egalite_choix( &
              (xtp_avantevap_cas(iso_eau,il)), &
@@ -8348,15 +8272,15 @@
              errmax,errmaxrel)
            enddo !do il=1,ncas
-       endif !if (iso_eau.gt.0) then
+       endif !if (iso_eau.gt.0) THEN
 #endif   
 
 #ifdef ISOTRAC       
        ! à l'avenir, il faudra faire les choses plus proprement!
-       if (oktrac.eq.1) then
+       if (oktrac.eq.1) THEN
            ! on renormalise le flux de précip et d'évap
            ! on suppose que la seule différence entre les différentes
            ! zones, c'est la compo du liquide
            do il=1,ncas
-            if (ptrac(il).gt.1e-20) then
+            if (ptrac(il).gt.1e-20) THEN
              Pqisup_cas(il)=Pqisup_cas(il)/ptrac(il)
              Eqi_stewart(il)=Eqi_stewart(il)/ptrac(il)
@@ -8365,5 +8289,5 @@
                Pxtisup_cas(ixt,il)=Pxtisup_cas(ixt,il)/ptrac(il)
              enddo
-            else !if (ptrac(il).gt.0.0) then
+            else !if (ptrac(il).gt.0.0) THEN
 #ifdef ISOVERIF                
              CALL iso_verif_egalite((Pqisup_cas(il)), &
@@ -8380,11 +8304,11 @@
                Pxtisup_cas(ixt,il)=0.0
              enddo   
-            endif !if (ptrac(il).gt.0.0) then
+            endif !if (ptrac(il).gt.0.0) THEN
            enddo !do il=1,ncas
-       endif !if (oktrac.eq.1) then
+       endif !if (oktrac.eq.1) THEN
 #endif       
         
 
-        if (no_pce.eq.1) then
+        if (no_pce.eq.1) THEN
             CALL stewart_sublim_nofrac_vectall( &
              ncas,qp_avantevap_cas(1), &
@@ -8393,5 +8317,5 @@
              Pxtiinf_stewart(1,1),xtnew(1,1),Exi_stewart(1,1), &
              fac_ftmr_cas(1))
-        else !if (no_pce.eq.1) then
+        else !if (no_pce.eq.1) THEN
       CALL stewart_explicite_vectall(ncas, &
              qp_avantevap_cas(1),xtp_avantevap_cas(1,1), &
@@ -8405,9 +8329,8 @@
 #endif
         )
-         endif !if (no_pce.eq.1) then
-
+         endif !if (no_pce.eq.1) THEN
 #ifdef ISOTRAC      
       ! à l'avenir, il faudra faire les choses plus proprement!
-      if (oktrac.eq.1) then
+      if (oktrac.eq.1) THEN
            ! on renormalise le flux de précip et d'évap
            ! on suppose que la seule différence entre les différentes
@@ -8426,9 +8349,9 @@
              hdiag(il)=qeff(il)/qs_cas(il)
            enddo !do il=1,ncas
-       endif !if (oktrac.eq.1) then
-#endif
-
-#ifdef ISOVERIF
-       if (iso_eau.gt.0) then
+       endif !if (oktrac.eq.1) THEN
+#endif
+
+#ifdef ISOVERIF
+       if (iso_eau.gt.0) THEN
           do il=1,ncas     
                 CALL iso_verif_egalite_choix( &
@@ -8442,11 +8365,11 @@
                 'appel_stewart 586', &
                 errmax,errmaxrel)
-                if (Pqiinf_stewart(il).gt.ridicule) then
+                if (Pqiinf_stewart(il).gt.ridicule) THEN
                   CALL iso_verif_egalite_choix(( &
                    Pxtiinf_stewart(iso_eau,il)/Pqiinf_stewart(il)), &
                    1.,'appel_setwart 575a', errmax*10, errmaxrel*10)
-                endif !if (Pqiinf_par.gt.ridicule) then
+                endif !if (Pqiinf_par.gt.ridicule) THEN
            enddo !do il=1,ncas     
-        endif !if (iso_eau.gt.0) then  
+        endif !if (iso_eau.gt.0) THEN
         do il=1,ncas 
            CALL iso_verif_noNAN(water_cas(il),  &
@@ -8465,15 +8388,15 @@
         ! qui sort de la boite i (Pqiinf_par)
         do il=1,ncas
-          if (abs(water_cas(il)).lt.ridicule/10.) then
+          if (abs(water_cas(il)).lt.ridicule/10.) THEN
             do ixt=1,niso
                xtwater_cas(ixt,il)=0.0
             enddo !do ixt=1,niso
-          else !if (water(il,i).eq.0.0) then
-             if (Pqiinf_stewart(il).gt.0.0) then  !if (Pxtiinf_par(iso_eau).gt.0.0) then 
+          else !if (water(il,i).eq.0.0) THEN
+             if (Pqiinf_stewart(il).gt.0.0) then  !if (Pxtiinf_par(iso_eau).gt.0.0) THEN
                do ixt=1,niso 
                  xtwater_cas(ixt,il)=water_cas(il) &
                    *Pxtiinf_stewart(ixt,il)/Pqiinf_stewart(il)
                enddo
-             else !if (Pxtiinf_stewart(iso_eau).gt.0.0) then
+             else !if (Pxtiinf_stewart(iso_eau).gt.0.0) THEN
                  ! normalement, ce cas a déjà été interdit dans
                  ! compress_evp_glace
@@ -8482,5 +8405,5 @@
                 enddo !do ixt=1,niso
              endif
-           endif !if (water(il,i).eq.0.0) then
+           endif !if (water(il,i).eq.0.0) THEN
          enddo !do il=1,ncas
         
@@ -8491,24 +8414,24 @@
                'appel_stewart 566')
         enddo !do ixt=1,niso
-        if (iso_eau.gt.0) then
+        if (iso_eau.gt.0) THEN
          CALL iso_verif_egalite_choix(xtwater_cas(iso_eau,il), &
                 water_cas(il),'appel_stewart 568',errmax,errmaxrel)
-         if (water_cas(il).gt.ridicule*10) then
+         if (water_cas(il).gt.ridicule*10) THEN
              if (iso_verif_egalite_choix_nostop( &
                 xtwater_cas(iso_eau,il)/water_cas(il),1.0, &
-                'appel stewart 155',errmax*10,errmaxrel*10).eq.1) then
-!               write(*,*) 'i=',i
-               write(*,*) 'Tevap=',T_cas(il)
-               write(*,*) 'xtwater(iso_eau,il,i)=', &
+                'appel stewart 155',errmax*10,errmaxrel*10).eq.1) THEN
+!               WRITE(*,*) 'i=',i
+               WRITE(*,*) 'Tevap=',T_cas(il)
+               WRITE(*,*) 'xtwater(iso_eau,il,i)=', &
                         xtwater_cas(iso_eau,il)
-               write(*,*) 'water(il,i)=',water_cas(il)
-               write(*,*) 'Pxtiinf_stewart(iso_eau)=', &
+               WRITE(*,*) 'water(il,i)=',water_cas(il)
+               WRITE(*,*) 'Pxtiinf_stewart(iso_eau)=', &
                          Pxtiinf_stewart(iso_eau,il)
-!               write(*,*) 'Pqiinf_par,Pqiinf_stewart=',
+!               WRITE(*,*) 'Pqiinf_par,Pqiinf_stewart=',
 !     &             Pqiinf_par(cas_evap_liq(il)),Pqiinf_stewart(il)
                stop
              endif  !if (iso_verif_egalite_nostop(
-         endif !if (water(il,i).gt.ridicule) then
-        endif !if (iso_eau.gt.0) then
+         endif !if (water(il,i).gt.ridicule) THEN
+        endif !if (iso_eau.gt.0) THEN
        enddo !do il=1,ncas
 #endif
@@ -8519,5 +8442,5 @@
         ! calcule xtevapi.    
        do il=1,ncas
-        if (Eqi_stewart(il).gt.0.0) then
+        if (Eqi_stewart(il).gt.0.0) THEN
          do ixt=1,niso          
           xtevap_cas(ixt,il)=Eqi_prime_cas(il) &
@@ -8526,5 +8449,5 @@
                  -xtevapsup_cas(ixt,il)
          enddo ! do ixt=1,niso
-        else !if (Eqi_stewart.gt.0.0) then
+        else !if (Eqi_stewart.gt.0.0) THEN
             ! il peut quand même y a voir de la diffusion
             do ixt=1,niso
@@ -8533,5 +8456,5 @@
                  -xtevapsup_cas(ixt,il)
             enddo !do ixt=1,niso    
-        endif !if (Eqi_stewart.gt.0.0) then
+        endif !if (Eqi_stewart.gt.0.0) THEN
        enddo !do il=1,ncas
       
@@ -8541,28 +8464,28 @@
           CALL iso_verif_noNAN(xtevap_cas(ixt,il),'appel stewart 131')
         enddo ! do ixt=1,nisio
-        if (oktrac.eq.0) then 
+        if (oktrac.eq.0) THEN
             ! dans le cas traceur, le calcul de evap_cas est plus
             ! compliqué: il faut le faire plus proprement dans
             ! compress_stewart
-        if (iso_eau.gt.0) then
+        if (iso_eau.gt.0) THEN
             if (iso_verif_egalite_choix_nostop(xtevap_cas(iso_eau,il), &
                  evap_cas(il),'appel stewart 142', &
-                errmax,errmaxrel).eq.1) then
-              write(*,*) 'il=',il
-              write(*,*) 'Eqi_prime_cas(il)=',Eqi_prime_cas(il)
-              write(*,*) 'Eqi_stewart(il)=',Eqi_stewart(il)
-              write(*,*) 'Exi_stewart(iso_eau,il)=', &
+                errmax,errmaxrel).eq.1) THEN
+              WRITE(*,*) 'il=',il
+              WRITE(*,*) 'Eqi_prime_cas(il)=',Eqi_prime_cas(il)
+              WRITE(*,*) 'Eqi_stewart(il)=',Eqi_stewart(il)
+              WRITE(*,*) 'Exi_stewart(iso_eau,il)=', &
                 Exi_stewart(iso_eau,il)
-              write(*,*) '1/100/delP_cas(il)/sigd(il)*g*2=', &
+              WRITE(*,*) '1/100/delP_cas(il)/sigd(il)*g*2=', &
                  1.0/100.0/delP_cas(il)/sigd(il)*g*2.0
-              write(*,*) 'xtevapsup_cas(iso_eau,il)=', &
+              WRITE(*,*) 'xtevapsup_cas(iso_eau,il)=', &
                 xtevapsup_cas(iso_eau,il)
               stop
             endif
-        endif !if (iso_eau.gt.0) then
-        endif !if (oktrac.eq.0) then 
+        endif !if (iso_eau.gt.0) THEN
+        endif !if (oktrac.eq.0) THEN
 #ifdef ISOTRAC
-        if (oktrac.eq.1) then 
-        if ((iso_eau.gt.0).and.(iso_HDO.gt.0)) then
+        if (oktrac.eq.1) THEN
+        if ((iso_eau.gt.0).and.(iso_HDO.gt.0)) THEN
              CALL iso_verif_aberrant_choix( &
                 (xtp_avantevaptrac_cas(iso_HDO,il)), &
@@ -8570,5 +8493,5 @@
                 ridicule_trac,deltalimtrac, &
                 'appel_stewart 2053')
-        endif !if ((iso_eau.gt.0).and.(iso_HDO.gt.0)) then
+        endif !if ((iso_eau.gt.0).and.(iso_HDO.gt.0)) THEN
         endif
 #endif
@@ -8579,7 +8502,7 @@
       
       do il=1,ncas
-       if (i.lt.INB_cas(il)) then
-          if (fac_ftmr_cas(il).gt.0.0) then
-             if (Eqi_stewart(il)*fac_ftmr_cas(il).gt.ridicule) then 
+       if (i.lt.INB_cas(il)) THEN
+          if (fac_ftmr_cas(il).gt.0.0) THEN
+             if (Eqi_stewart(il)*fac_ftmr_cas(il).gt.ridicule) THEN
                do ixt=1,niso               
                !   xtp(ixt,il,i)=xtnew(ixt)*qp(il,i)/xtnew(4)
@@ -8588,14 +8511,13 @@
                        *Exi_stewart(ixt,il)/Eqi_stewart(il),0.0)
                enddo !do ixt=1,niso
-             else ! if (Eqi_stewart.gt.ridicule) then
-                if (qp_cas(il).gt.0.0) then 
-
+             else ! if (Eqi_stewart.gt.ridicule) THEN
+                if (qp_cas(il).gt.0.0) THEN
                     if (Eqi_prime_cas(il)*fac_ftmr_cas(il).gt.ridicule) &
-                         then
+                         THEN
                         ! il va manquer quelque chose: il faut augmenter
                         ! xtp en lui ajoutant l'évap du niveau d'eau
                         ! dessus
                         ! pour l'instant, on bidouille:
-                        write(*,*) 'appel_stewart 2487: il=',il
+                        WRITE(*,*) 'appel_stewart 2487: il=',il
                         do ixt=1,niso               
                         xtnew(ixt,il)=xtnew(ixt,il) &
@@ -8614,20 +8536,19 @@
                       ! modif 1 mai 2009, pour le cas des traceurs
                     enddo !do ixt=1,niso
-!                    write(*,*) 'appel_stewart 1963 tmp: ',
+!                    WRITE(*,*) 'appel_stewart 1963 tmp: ',
 !     :                  'xtp_cas(iso_eau,il)=',xtp_cas(iso_eau,il)
-                else !if (qp(il,i).gt.0.0) then 
+                else !if (qp(il,i).gt.0.0) THEN
                   do ixt=1,niso               
                     xtp_cas(ixt,il)=0.0
                   enddo !do ixt=1,niso
-                endif  !if (qp(il,i).gt.0.0) then 
-            endif !if (Eqi_stewart.gt.ridicule) then 
-
+                endif  !if (qp(il,i).gt.0.0) THEN
+            endif !if (Eqi_stewart.gt.ridicule) THEN
 #ifdef ISOVERIF       
-!            if (il.eq.87) then
-!                write(*,*) 'appel_stewart 2244: tmp, après calcul xtp'
-!                write(*,*) 'xtnew(:,il)=',xtnew(:,il)
-!                write(*,*) 'Pxtiinf_stewart(:,il)=',
+!            if (il.eq.87) THEN
+!                WRITE(*,*) 'appel_stewart 2244: tmp, après calcul xtp'
+!                WRITE(*,*) 'xtnew(:,il)=',xtnew(:,il)
+!                WRITE(*,*) 'Pxtiinf_stewart(:,il)=',
 !     :             Pxtiinf_stewart(:,il)
-!            endif  !if (il.eq.87) then    
+!            endif  !if (il.eq.87) THEN
             do ixt=1,niso
                 CALL iso_verif_noNAN(xtp_cas(ixt,il), &
@@ -8635,6 +8556,6 @@
             enddo ! do ixt=1,niso
 #ifdef ISOTRAC
-            if (oktrac.eq.1) then
-            if ((iso_HDO.gt.0).and.(iso_eau.gt.0)) then
+            if (oktrac.eq.1) THEN
+            if ((iso_HDO.gt.0).and.(iso_eau.gt.0)) THEN
                 ! le 10 mai 2009: on remonte le seuil de vérif de deltaD
                 ! aberrant car dans le cas des traceurs, des très
@@ -8645,28 +8566,28 @@
                 xtp_cas(iso_HDO,il),xtp_cas(iso_eau,il), &
                 ridicule_trac,deltalimtrac, &
-                'appel_stewart 2090').eq.1) then
-                  write(*,*) 'xtp_avantevaptrac_cas(iso_eau),deltaD=', &
+                'appel_stewart 2090').eq.1) THEN
+                  WRITE(*,*) 'xtp_avantevaptrac_cas(iso_eau),deltaD=', &
                    xtp_avantevaptrac_cas(iso_eau,il),deltaD &
                    ((xtp_avantevaptrac_cas(iso_HDO,il)) &
                    /(xtp_avantevaptrac_cas(iso_eau,il)))
-                  write(*,*) 'xtp_avantevap_cas(iso_eau),deltaD=', &
+                  WRITE(*,*) 'xtp_avantevap_cas(iso_eau),deltaD=', &
                    xtp_avantevap_cas(iso_eau,il),deltaD &
                    ((xtp_avantevap_cas(iso_HDO,il)) &
                    /(xtp_avantevap_cas(iso_eau,il)))
-                  write(*,*) 'xtnew(iso_eau),deltaD=', &
+                  WRITE(*,*) 'xtnew(iso_eau),deltaD=', &
                    xtnew(iso_eau,il),deltaD &
                    ((xtnew(iso_HDO,il)) &
                    /(xtnew(iso_eau,il)))
-                  write(*,*) 'xtp_cas(iso_eau),deltaD=', &
+                  WRITE(*,*) 'xtp_cas(iso_eau),deltaD=', &
                    xtp_cas(iso_eau,il),deltaD &
                    (xtp_cas(iso_HDO,il)/xtp_cas(iso_eau,il))
-                  write(*,*) 'Eqi_stewart(il),fac_ftmr_cas(il)=', &
+                  WRITE(*,*) 'Eqi_stewart(il),fac_ftmr_cas(il)=', &
                         Eqi_stewart(il),fac_ftmr_cas(il)
-                  write(*,*) 'Eqi_prime_cas(il)=', &
+                  WRITE(*,*) 'Eqi_prime_cas(il)=', &
                         Eqi_prime_cas(il)
-                  write(*,*) 'deltaD_Eqi_stewart=', &
+                  WRITE(*,*) 'deltaD_Eqi_stewart=', &
                         deltaD(( &
                         Exi_stewart(iso_HDO,il)/Eqi_stewart(il)))
-                  write(*,*) 'xtnew-xtp_avantevap_cas,deltaD=', &
+                  WRITE(*,*) 'xtnew-xtp_avantevap_cas,deltaD=', &
                       xtnew(iso_eau,il)-xtp_avantevap_cas(iso_eau,il), &
                       deltaD(((xtnew(iso_HDO,il) &
@@ -8674,43 +8595,42 @@
                       (xtnew(iso_eau,il) &
                       -xtp_avantevap_cas(iso_eau,il))))
-                  write(*,*) 'Pqisup,deltaD=', &
+                  WRITE(*,*) 'Pqisup,deltaD=', &
                         Pqisup_cas(il),deltaD(( &
                         Pxtisup_cas(iso_HDO,il)/Pqisup_cas(il)))
                   stop
                 endif
-        endif !if (iso_HDO.gt.0) then
-       endif !if (oktrac.eq.1) then
+        endif !if (iso_HDO.gt.0) THEN
+       endif !if (oktrac.eq.1) THEN
 #endif
 ! #ifdef ISOTRAC
-          if (oktrac.eq.0) then
-            if (iso_eau.gt.0) then
+          if (oktrac.eq.0) THEN
+            if (iso_eau.gt.0) THEN
              CALL iso_verif_egalite_choix(xtp_cas(iso_eau,il), &
               qp_cas(il),'appel stewart 688', &
                 errmax,errmaxrel*30)
-           endif !if (iso_eau.gt.0) then
-
+           endif !if (iso_eau.gt.0) THEN
            if ((iso_HDO.gt.0).and. &
-                (qp_cas(il).gt.ridicule)) then
+                (qp_cas(il).gt.ridicule)) THEN
              if (iso_verif_aberrant_nostop(xtp_cas(iso_HDO,il)/ &
               qp_cas(il), &
-              'appel_stewart_vectall 1079').eq.1) then
-               write(*,*) 'i,qp(cas_evap_liq(il),i)=', &
+              'appel_stewart_vectall 1079').eq.1) THEN
+               WRITE(*,*) 'i,qp(cas_evap_liq(il),i)=', &
                         i,qp_cas(il)
-               write(*,*) 'fac_ftmr_cas(il)=',fac_ftmr_cas(il)
-               write(*,*) 'deltaDxtnew=',deltaD(( &
+               WRITE(*,*) 'fac_ftmr_cas(il)=',fac_ftmr_cas(il)
+               WRITE(*,*) 'deltaDxtnew=',deltaD(( &
                 xtnew(iso_HDO,il))/qp_cas(il))
                stop
              endif
-           endif !if (iso_HDO.gt.0) then 
-        endif ! if (oktrac.eq.0) then
+           endif !if (iso_HDO.gt.0) THEN
+        endif ! if (oktrac.eq.0) THEN
 #endif              
 
-          else !if (fac_ftmr.gt.0.0) then
+          else !if (fac_ftmr.gt.0.0) THEN
               ! ca veut dire que Mp=0, xtp pas définit
              do ixt=1,niso
                xtp_cas(ixt,il)=xtp_avantevaptrac_cas(ixt,il)
              enddo !do ixt=1,niso
-         endif !if (fac_ftmr.gt.0.0) then
-      else !if (i.lt.INB) then
+         endif !if (fac_ftmr.gt.0.0) THEN
+      else !if (i.lt.INB) THEN
           ! si i=inb, on ne change rien au calcul original, et on
           ! suppose que la composition du ddft est égale à celle de
@@ -8721,5 +8641,5 @@
                     !dans ce cas là
                   enddo
-      endif !if (i.lt.INB) then
+      endif !if (i.lt.INB) THEN
       enddo !do il=1,ncas
 
@@ -8732,17 +8652,17 @@
         enddo !do ixt=1,niso
 #ifdef ISOTRAC
-        if ((iso_HDO.gt.0).and.(iso_eau.gt.0)) then
-          if (oktrac.eq.1) then
+        if ((iso_HDO.gt.0).and.(iso_eau.gt.0)) THEN
+          if (oktrac.eq.1) THEN
               CALL iso_verif_aberrant_choix( &
                 xtp_cas(iso_HDO,il),xtp_cas(iso_eau,il), &
                 ridicule,deltalim,'appel_stewart 2138')
           endif
-        endif !if (iso_HDO.gt.0) then
+        endif !if (iso_HDO.gt.0) THEN
 #endif
       enddo !do il=1,ncas  
       
 !#ifdef ISOTRAC
-      if (oktrac.eq.0) then
-      if (iso_eau.gt.0) then
+      if (oktrac.eq.0) THEN
+      if (iso_eau.gt.0) THEN
        do il=1,ncas       
         if (iso_verif_egalite_choix_nostop( &
@@ -8750,38 +8670,38 @@
                  qp_cas(il), &
                 'appel stewart 197', &
-                errmax,errmaxrel*50).eq.1) then
-          write(*,*) 'i=',i,' INB=',INB_cas(il)
-          write(*,*) 'Tevap=',T_cas(il)
-          write(*,*) 'xtp(iso_eau,il,i)=',xtp_cas(iso_eau,il)
-          write(*,*) 'qp(il,i)=',qp_cas(il)
-          write(*,*) 'xtnew(iso_eau)=',xtnew(iso_eau,il)
-          write(*,*) 'fac_ftmr=',fac_ftmr_cas(il)
-!          write(*,*) 'Mp(il,i)=',Mp(cas_evap_liq(il),i)
-          write(*,*) 'xtp_avantevap(iso_eau)=', &
+                errmax,errmaxrel*50).eq.1) THEN
+          WRITE(*,*) 'i=',i,' INB=',INB_cas(il)
+          WRITE(*,*) 'Tevap=',T_cas(il)
+          WRITE(*,*) 'xtp(iso_eau,il,i)=',xtp_cas(iso_eau,il)
+          WRITE(*,*) 'qp(il,i)=',qp_cas(il)
+          WRITE(*,*) 'xtnew(iso_eau)=',xtnew(iso_eau,il)
+          WRITE(*,*) 'fac_ftmr=',fac_ftmr_cas(il)
+!          WRITE(*,*) 'Mp(il,i)=',Mp(cas_evap_liq(il),i)
+          WRITE(*,*) 'xtp_avantevap(iso_eau)=', &
                 xtp_avantevap_cas(iso_eau,il)
-          write(*,*) 'qp_avantevap=',qp_avantevap_cas(il)
-!          write(*,*) 'Exi_prime(iso_eau)=',Exi_prime(iso_eau,il)
-!          write(*,*) 'Eqi_prime=',Eqi_prime(il)       
-          write(*,*) 'Pxtiinf_stewart(iso_eau)=', &
+          WRITE(*,*) 'qp_avantevap=',qp_avantevap_cas(il)
+!          WRITE(*,*) 'Exi_prime(iso_eau)=',Exi_prime(iso_eau,il)
+!          WRITE(*,*) 'Eqi_prime=',Eqi_prime(il)
+          WRITE(*,*) 'Pxtiinf_stewart(iso_eau)=', &
                  Pxtiinf_stewart(iso_eau,il)
-!          write(*,*) 'Pqiinf_par=',Pqiinf_par(cas_evap_liq(il))
-          write(*,*) 'Pxtisup(iso_eau)=',Pxtisup_cas(iso_eau,il)
-          write(*,*) 'Pqisup=',Pqisup_cas(il)
+!          WRITE(*,*) 'Pqiinf_par=',Pqiinf_par(cas_evap_liq(il))
+          WRITE(*,*) 'Pxtisup(iso_eau)=',Pxtisup_cas(iso_eau,il)
+          WRITE(*,*) 'Pqisup=',Pqisup_cas(il)
           stop
          endif !if iso_verif_egalite_choix_nostop
         enddo !do il=1,ncas
-      endif !if (iso_eau.gt.0) then
-      if (iso_HDO.gt.0) then            
+      endif !if (iso_eau.gt.0) THEN
+      if (iso_HDO.gt.0) THEN
        do il=1,ncas
-!        write(*,*) 'appel_stewart 2166: fin make_cas_evap_liq, ',
+!        WRITE(*,*) 'appel_stewart 2166: fin make_cas_evap_liq, ',
 !     &       'il,deltaDqp=',il,deltaD(xtp_cas(iso_HDO,il)/qp_cas(il))
-        if (qp_cas(il).gt.ridicule) then
+        if (qp_cas(il).gt.ridicule) THEN
           CALL iso_verif_aberrant( &
                 xtp_cas(iso_HDO,il)/qp_cas(il), &
                 'appel_stewart 1130')
-        endif !if (qp(cas_evap_liq(il),i).gt.ridicule) then
+        endif !if (qp(cas_evap_liq(il),i).gt.ridicule) THEN
        enddo !do il=1,ncas     
       endif 
-      endif ! if (oktrac.eq.0) then
+      endif ! if (oktrac.eq.0) THEN
 !#endif
 ! ISOTRAC
@@ -8849,6 +8769,6 @@
 
 #ifdef ISOVERIF  
-!      write(*,*) 'appel_stewart 2052: entrée dans make_cas_evap_glace'
-      if (iso_eau.gt.0) then
+!      WRITE(*,*) 'appel_stewart 2052: entrée dans make_cas_evap_glace'
+      if (iso_eau.gt.0) THEN
           do il=1,ncas
             CALL iso_verif_egalite_choix( &
@@ -8862,5 +8782,5 @@
              errmax,errmaxrel)
            enddo !do il=1,ncas 
-       endif !if (iso_eau.gt.0) then
+       endif !if (iso_eau.gt.0) THEN
 #endif    
      
@@ -8876,5 +8796,5 @@
       !    Eqi_prime sont les même que Eqi_par
 
-      if (frac_sublim.eq.1) then
+      if (frac_sublim.eq.1) THEN
             CALL stewart_glace_vectall(ncas, &
              qp_avantevap_cas(1),xtp_avantevap_cas(1,1),Pqisup_cas(1), &
@@ -8883,7 +8803,7 @@
              fac_ftmr_cas(1), &
              T_cas(1))
-      else !if (frac_sublim.eq.1) then
+      else !if (frac_sublim.eq.1) THEN
 !#ifdef ISOVERIF
-!            write(*,*) 'appel_stewart_explicite 2736'
+!            WRITE(*,*) 'appel_stewart_explicite 2736'
 !#endif          
             CALL stewart_sublim_nofrac_vectall( &
@@ -8893,10 +8813,8 @@
              Pxtiinf_stewart(1,1),xtnew(1,1),Exi_stewart(1,1), &
              fac_ftmr_cas(1))
-      endif !if (frac_sublim.eq.1) then
-      
-
-#ifdef ISOVERIF
-!       write(*,*) 'appel_stewart 2096: dans make_cas_evap_glace'
-       if (iso_eau.gt.0) then
+      endif !if (frac_sublim.eq.1) THEN
+#ifdef ISOVERIF
+!       WRITE(*,*) 'appel_stewart 2096: dans make_cas_evap_glace'
+       if (iso_eau.gt.0) THEN
           do il=1,ncas       
              CALL iso_verif_egalite_choix( &
@@ -8909,18 +8827,18 @@
                 'appel_stewart 586', &
                errmax,errmaxrel)
-             if (Pqiinf_stewart(il).gt.ridicule) then
+             if (Pqiinf_stewart(il).gt.ridicule) THEN
                 if (iso_verif_egalite_choix_nostop(( &
                 Pxtiinf_stewart(iso_eau,il)/Pqiinf_stewart(il)), &
                 1.,'appel_setwart 575b', errmax*10, errmaxrel*10) &
-                 .eq.1) then
-                   write(*,*) 'Pqiinf_stewart(il)=',Pqiinf_stewart(il)
-!                   write(*,*) 'Pqiinf_par(il)=',Pqiinf_par(il)
-                   write(*,*) 'Pxtiinf_stewart(iso_eau,il)=', &
+                 .eq.1) THEN
+                   WRITE(*,*) 'Pqiinf_stewart(il)=',Pqiinf_stewart(il)
+!                   WRITE(*,*) 'Pqiinf_par(il)=',Pqiinf_par(il)
+                   WRITE(*,*) 'Pxtiinf_stewart(iso_eau,il)=', &
                         Pxtiinf_stewart(iso_eau,il)
                    stop
                 endif
-             endif !if (Pqiinf_par.gt.ridicule) then
+             endif !if (Pqiinf_par.gt.ridicule) THEN
            enddo !do il=1,ncas       
-        endif !if (iso_eau.gt.0) then
+        endif !if (iso_eau.gt.0) THEN
 #endif     
 
@@ -8929,15 +8847,15 @@
         ! qui sort de la boite i (Pqiinf_par)
         do il=1,ncas
-          if (abs(water_cas(il)).lt.ridicule/10.) then
+          if (abs(water_cas(il)).lt.ridicule/10.) THEN
             do ixt=1,niso
                xtwater_cas(ixt,il)=water_cas(il)*Rdefault(ixt)
             enddo !do ixt=1,niso
-          else !if (water(il,i).eq.0.0) then
-             if (Pqiinf_stewart(il).gt.0.0) then  !if (Pxtiinf_par(iso_eau).gt.0.0) then 
+          else !if (water(il,i).eq.0.0) THEN
+             if (Pqiinf_stewart(il).gt.0.0) then  !if (Pxtiinf_par(iso_eau).gt.0.0) THEN
                do ixt=1,niso 
                  xtwater_cas(ixt,il)=water_cas(il) &
                    *Pxtiinf_stewart(ixt,il)/Pqiinf_stewart(il)
                enddo
-             else !if (Pxtiinf_stewart(iso_eau).gt.0.0) then
+             else !if (Pxtiinf_stewart(iso_eau).gt.0.0) THEN
                  ! normalement, ce cas a déjà été interdit dans
                  ! compress_evp_glace
@@ -8946,9 +8864,9 @@
                 enddo !do ixt=1,niso
              endif
-           endif !if (water(il,i).eq.0.0) then
+           endif !if (water(il,i).eq.0.0) THEN
          enddo !do il=1,ncas
         
 #ifdef ISOVERIF
-!       write(*,*) 'appel_stewart 2563: dans make_cas_evap_glace'
+!       WRITE(*,*) 'appel_stewart 2563: dans make_cas_evap_glace'
        do il=1,ncas
         do ixt=1,niso
@@ -8956,24 +8874,24 @@
                 'appel_stewart 566b')
         enddo !do ixt=1,niso
-        if (iso_eau.gt.0) then
+        if (iso_eau.gt.0) THEN
          CALL iso_verif_egalite_choix(xtwater_cas(iso_eau,il), &
                 water_cas(il),'appel_stewart 568b',errmax,errmaxrel)
-         if (water_cas(il).gt.ridicule*10) then
+         if (water_cas(il).gt.ridicule*10) THEN
              if (iso_verif_egalite_choix_nostop( &
                 xtwater_cas(iso_eau,il)/water_cas(il),1.0, &
-                'appel stewart 155b',errmax*10,errmaxrel*10).eq.1) then
-               write(*,*) 'i=',i
-               write(*,*) 'Tevap=',T_cas(il)
-               write(*,*) 'xtwater(iso_eau,il,i)=', &
+                'appel stewart 155b',errmax*10,errmaxrel*10).eq.1) THEN
+               WRITE(*,*) 'i=',i
+               WRITE(*,*) 'Tevap=',T_cas(il)
+               WRITE(*,*) 'xtwater(iso_eau,il,i)=', &
                         xtwater_cas(iso_eau,il)
-               write(*,*) 'water(il,i)=',water_cas(il)
-               write(*,*) 'Pxtiinf_stewart(iso_eau)=', &
+               WRITE(*,*) 'water(il,i)=',water_cas(il)
+               WRITE(*,*) 'Pxtiinf_stewart(iso_eau)=', &
                          Pxtiinf_stewart(iso_eau,il)
-!               write(*,*) 'Pqiinf_par,Pqiinf_stewart=',
+!               WRITE(*,*) 'Pqiinf_par,Pqiinf_stewart=',
 !     &                  Pqiinf_par(il),Pqiinf_stewart(il)
                stop
              endif  !if (iso_verif_egalite_nostop(
-         endif !if (water(il,i).gt.ridicule) then
-        endif !if (iso_eau.gt.0) then
+         endif !if (water(il,i).gt.ridicule) THEN
+        endif !if (iso_eau.gt.0) THEN
        enddo !do il=1,ncas
 #endif
